Issue 127558 - General Error while opening an existing .odt file in 4.1.4-RC5 on MacOS X
Summary: General Error while opening an existing .odt file in 4.1.4-RC5 on MacOS X
Status: CLOSED FIXED
Alias: None
Product: Build Tools
Classification: Code
Component: code (show other issues)
Version: 4.1.4-dev
Hardware: All Mac OS X, all
: P2 Critical (vote)
Target Milestone: 4.1.4
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-17 18:50 UTC by Andrea Pescetti
Modified: 2019-10-12 17:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andrea Pescetti 2017-10-17 18:50:33 UTC
Opening an existing .odt file is broken in OpenOffice 4.1.4-RC5 as reported on the dev list.

The file opens, but a "General Error" dialog box appears.

This has been confirmed both on Mac OS X 10.12 and 10.13.

Some users, though, reported they can open files normally.

The issue has some similarity to https://bz.apache.org/ooo/show_bug.cgi?id=127315 but nobody could reproduce it on Linux.64 with 4.1.4-RC5.
Comment 1 Andrea Pescetti 2017-10-17 18:51:48 UTC
As reported on the dev list, this is now fixed with a full rebuild of convenience binaries for Mac without any code changes. Leaving open for documentation.
Comment 2 Jim Jagielski 2017-10-17 19:44:37 UTC
Ensure that the libxml2 library being used is the one provided by the macOS SDK and not 3rd party when building. This was triggered when the expat module was built and used/required a null LOADLIBOBJFILE. This can be forced via --with-system-libxml
Comment 3 Don Lewis 2017-10-17 20:44:12 UTC
I'm curious about why --with-system-expat is not used on macOS.